View Issue Details

IDProjectCategoryView StatusLast Update
0032374LazarusPatchpublic2017-09-12 19:25
ReporterFTurtleAssigned ToMichl 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.9 (SVN)Product Build55788 
Target Version1.8Fixed in Version1.9 (SVN) 
Summary0032374: [Patches] High-DPI icons: Bookmarks-1
DescriptionGutter bookmark icons.
TagsNo tags attached.
Fixed in Revisionr55797, r55798
LazTarget-
Widgetset
Attached Files
  • images.zip (25,504 bytes)
  • patch.diff (2,187 bytes)
    Index: images/bookmark_list.txt
    ===================================================================
    --- images/bookmark_list.txt	(revision 55788)
    +++ images/bookmark_list.txt	(working copy)
    @@ -1,14 +1,34 @@
     sourceeditor/ActiveBreakPoint.png
     sourceeditor/bookmark0.png
    +sourceeditor/bookmark0_150.png
    +sourceeditor/bookmark0_200.png
     sourceeditor/bookmark1.png
    +sourceeditor/bookmark1_150.png
    +sourceeditor/bookmark1_200.png
     sourceeditor/bookmark2.png
    +sourceeditor/bookmark2_150.png
    +sourceeditor/bookmark2_200.png
     sourceeditor/bookmark3.png
    +sourceeditor/bookmark3_150.png
    +sourceeditor/bookmark3_200.png
     sourceeditor/bookmark4.png
    +sourceeditor/bookmark4_150.png
    +sourceeditor/bookmark4_200.png
     sourceeditor/bookmark5.png
    +sourceeditor/bookmark5_150.png
    +sourceeditor/bookmark5_200.png
     sourceeditor/bookmark6.png
    +sourceeditor/bookmark6_150.png
    +sourceeditor/bookmark6_200.png
     sourceeditor/bookmark7.png
    +sourceeditor/bookmark7_150.png
    +sourceeditor/bookmark7_200.png
     sourceeditor/bookmark8.png
    +sourceeditor/bookmark8_150.png
    +sourceeditor/bookmark8_200.png
     sourceeditor/bookmark9.png
    +sourceeditor/bookmark9_150.png
    +sourceeditor/bookmark9_200.png
     sourceeditor/InactiveBreakPoint.png
     sourceeditor/InvalidBreakPoint.png
     sourceeditor/InvalidDisabledBreakPoint.png
    @@ -24,4 +44,3 @@
     sourceeditor/state11x11_hint.png
     sourceeditor/state11x11_information.png
     sourceeditor/state11x11_unknown.png
    -
    Index: images/copyright.txt
    ===================================================================
    --- images/copyright.txt	(revision 55788)
    +++ images/copyright.txt	(working copy)
    @@ -229,14 +229,34 @@
     sourceeditor directory:
     
     bookmark0.png
    +bookmark0_150.png
    +bookmark0_200.png
     bookmark1.png
    +bookmark1_150.png
    +bookmark1_200.png
     bookmark2.png
    +bookmark2_150.png
    +bookmark2_200.png
     bookmark3.png
    +bookmark3_150.png
    +bookmark3_200.png
     bookmark4.png
    +bookmark4_150.png
    +bookmark4_200.png
     bookmark5.png
    +bookmark5_150.png
    +bookmark5_200.png
     bookmark6.png
    +bookmark6_150.png
    +bookmark6_200.png
     bookmark7.png
    +bookmark7_150.png
    +bookmark7_200.png
     bookmark8.png
    +bookmark8_150.png
    +bookmark8_200.png
     bookmark9.png
    +bookmark9_150.png
    +bookmark9_200.png
     
     ---
    
    patch.diff (2,187 bytes)
  • images2.zip (15,908 bytes)
  • patch2.diff (2,529 bytes)
    Index: images/bookmark_list.txt
    ===================================================================
    --- images/bookmark_list.txt	(revision 55797)
    +++ images/bookmark_list.txt	(working copy)
    @@ -2,33 +2,43 @@
     sourceeditor/bookmark0.png
     sourceeditor/bookmark0_150.png
     sourceeditor/bookmark0_200.png
    +sourceeditor/bookmark0_300.png
     sourceeditor/bookmark1.png
     sourceeditor/bookmark1_150.png
     sourceeditor/bookmark1_200.png
    +sourceeditor/bookmark1_300.png
     sourceeditor/bookmark2.png
     sourceeditor/bookmark2_150.png
     sourceeditor/bookmark2_200.png
    +sourceeditor/bookmark2_300.png
     sourceeditor/bookmark3.png
     sourceeditor/bookmark3_150.png
     sourceeditor/bookmark3_200.png
    +sourceeditor/bookmark3_300.png
     sourceeditor/bookmark4.png
     sourceeditor/bookmark4_150.png
     sourceeditor/bookmark4_200.png
    +sourceeditor/bookmark4_300.png
     sourceeditor/bookmark5.png
     sourceeditor/bookmark5_150.png
     sourceeditor/bookmark5_200.png
    +sourceeditor/bookmark5_300.png
     sourceeditor/bookmark6.png
     sourceeditor/bookmark6_150.png
     sourceeditor/bookmark6_200.png
    +sourceeditor/bookmark6_300.png
     sourceeditor/bookmark7.png
     sourceeditor/bookmark7_150.png
     sourceeditor/bookmark7_200.png
    +sourceeditor/bookmark7_300.png
     sourceeditor/bookmark8.png
     sourceeditor/bookmark8_150.png
     sourceeditor/bookmark8_200.png
    +sourceeditor/bookmark8_300.png
     sourceeditor/bookmark9.png
     sourceeditor/bookmark9_150.png
     sourceeditor/bookmark9_200.png
    +sourceeditor/bookmark9_300.png
     sourceeditor/InactiveBreakPoint.png
     sourceeditor/InvalidBreakPoint.png
     sourceeditor/InvalidDisabledBreakPoint.png
    Index: images/copyright.txt
    ===================================================================
    --- images/copyright.txt	(revision 55797)
    +++ images/copyright.txt	(working copy)
    @@ -229,14 +229,44 @@
     sourceeditor directory:
     
     bookmark0.png
    +bookmark0_150.png
    +bookmark0_200.png
    +bookmark0_300.png
     bookmark1.png
    +bookmark1_150.png
    +bookmark1_200.png
    +bookmark1_300.png
     bookmark2.png
    +bookmark2_150.png
    +bookmark2_200.png
    +bookmark2_300.png
     bookmark3.png
    +bookmark3_150.png
    +bookmark3_200.png
    +bookmark3_300.png
     bookmark4.png
    +bookmark4_150.png
    +bookmark4_200.png
    +bookmark4_300.png
     bookmark5.png
    +bookmark5_150.png
    +bookmark5_200.png
    +bookmark5_300.png
     bookmark6.png
    +bookmark6_150.png
    +bookmark6_200.png
    +bookmark6_300.png
     bookmark7.png
    +bookmark7_150.png
    +bookmark7_200.png
    +bookmark7_300.png
     bookmark8.png
    +bookmark8_150.png
    +bookmark8_200.png
    +bookmark8_300.png
     bookmark9.png
    +bookmark9_150.png
    +bookmark9_200.png
    +bookmark9_300.png
     
     ---
    
    patch2.diff (2,529 bytes)

Activities

FTurtle

2017-09-06 02:40

reporter  

images.zip (25,504 bytes)

FTurtle

2017-09-06 02:41

reporter  

patch.diff (2,187 bytes)
Index: images/bookmark_list.txt
===================================================================
--- images/bookmark_list.txt	(revision 55788)
+++ images/bookmark_list.txt	(working copy)
@@ -1,14 +1,34 @@
 sourceeditor/ActiveBreakPoint.png
 sourceeditor/bookmark0.png
+sourceeditor/bookmark0_150.png
+sourceeditor/bookmark0_200.png
 sourceeditor/bookmark1.png
+sourceeditor/bookmark1_150.png
+sourceeditor/bookmark1_200.png
 sourceeditor/bookmark2.png
+sourceeditor/bookmark2_150.png
+sourceeditor/bookmark2_200.png
 sourceeditor/bookmark3.png
+sourceeditor/bookmark3_150.png
+sourceeditor/bookmark3_200.png
 sourceeditor/bookmark4.png
+sourceeditor/bookmark4_150.png
+sourceeditor/bookmark4_200.png
 sourceeditor/bookmark5.png
+sourceeditor/bookmark5_150.png
+sourceeditor/bookmark5_200.png
 sourceeditor/bookmark6.png
+sourceeditor/bookmark6_150.png
+sourceeditor/bookmark6_200.png
 sourceeditor/bookmark7.png
+sourceeditor/bookmark7_150.png
+sourceeditor/bookmark7_200.png
 sourceeditor/bookmark8.png
+sourceeditor/bookmark8_150.png
+sourceeditor/bookmark8_200.png
 sourceeditor/bookmark9.png
+sourceeditor/bookmark9_150.png
+sourceeditor/bookmark9_200.png
 sourceeditor/InactiveBreakPoint.png
 sourceeditor/InvalidBreakPoint.png
 sourceeditor/InvalidDisabledBreakPoint.png
@@ -24,4 +44,3 @@
 sourceeditor/state11x11_hint.png
 sourceeditor/state11x11_information.png
 sourceeditor/state11x11_unknown.png
-
Index: images/copyright.txt
===================================================================
--- images/copyright.txt	(revision 55788)
+++ images/copyright.txt	(working copy)
@@ -229,14 +229,34 @@
 sourceeditor directory:
 
 bookmark0.png
+bookmark0_150.png
+bookmark0_200.png
 bookmark1.png
+bookmark1_150.png
+bookmark1_200.png
 bookmark2.png
+bookmark2_150.png
+bookmark2_200.png
 bookmark3.png
+bookmark3_150.png
+bookmark3_200.png
 bookmark4.png
+bookmark4_150.png
+bookmark4_200.png
 bookmark5.png
+bookmark5_150.png
+bookmark5_200.png
 bookmark6.png
+bookmark6_150.png
+bookmark6_200.png
 bookmark7.png
+bookmark7_150.png
+bookmark7_200.png
 bookmark8.png
+bookmark8_150.png
+bookmark8_200.png
 bookmark9.png
+bookmark9_150.png
+bookmark9_200.png
 
 ---
patch.diff (2,187 bytes)

Michl

2017-09-07 23:47

developer   ~0102709

Applied in Trunk. Thank you!

FTurtle

2017-09-08 00:39

reporter   ~0102711

Thanks.

But you forgot update copyright.txt

FTurtle

2017-09-08 05:00

reporter  

images2.zip (15,908 bytes)

FTurtle

2017-09-08 05:00

reporter  

patch2.diff (2,529 bytes)
Index: images/bookmark_list.txt
===================================================================
--- images/bookmark_list.txt	(revision 55797)
+++ images/bookmark_list.txt	(working copy)
@@ -2,33 +2,43 @@
 sourceeditor/bookmark0.png
 sourceeditor/bookmark0_150.png
 sourceeditor/bookmark0_200.png
+sourceeditor/bookmark0_300.png
 sourceeditor/bookmark1.png
 sourceeditor/bookmark1_150.png
 sourceeditor/bookmark1_200.png
+sourceeditor/bookmark1_300.png
 sourceeditor/bookmark2.png
 sourceeditor/bookmark2_150.png
 sourceeditor/bookmark2_200.png
+sourceeditor/bookmark2_300.png
 sourceeditor/bookmark3.png
 sourceeditor/bookmark3_150.png
 sourceeditor/bookmark3_200.png
+sourceeditor/bookmark3_300.png
 sourceeditor/bookmark4.png
 sourceeditor/bookmark4_150.png
 sourceeditor/bookmark4_200.png
+sourceeditor/bookmark4_300.png
 sourceeditor/bookmark5.png
 sourceeditor/bookmark5_150.png
 sourceeditor/bookmark5_200.png
+sourceeditor/bookmark5_300.png
 sourceeditor/bookmark6.png
 sourceeditor/bookmark6_150.png
 sourceeditor/bookmark6_200.png
+sourceeditor/bookmark6_300.png
 sourceeditor/bookmark7.png
 sourceeditor/bookmark7_150.png
 sourceeditor/bookmark7_200.png
+sourceeditor/bookmark7_300.png
 sourceeditor/bookmark8.png
 sourceeditor/bookmark8_150.png
 sourceeditor/bookmark8_200.png
+sourceeditor/bookmark8_300.png
 sourceeditor/bookmark9.png
 sourceeditor/bookmark9_150.png
 sourceeditor/bookmark9_200.png
+sourceeditor/bookmark9_300.png
 sourceeditor/InactiveBreakPoint.png
 sourceeditor/InvalidBreakPoint.png
 sourceeditor/InvalidDisabledBreakPoint.png
Index: images/copyright.txt
===================================================================
--- images/copyright.txt	(revision 55797)
+++ images/copyright.txt	(working copy)
@@ -229,14 +229,44 @@
 sourceeditor directory:
 
 bookmark0.png
+bookmark0_150.png
+bookmark0_200.png
+bookmark0_300.png
 bookmark1.png
+bookmark1_150.png
+bookmark1_200.png
+bookmark1_300.png
 bookmark2.png
+bookmark2_150.png
+bookmark2_200.png
+bookmark2_300.png
 bookmark3.png
+bookmark3_150.png
+bookmark3_200.png
+bookmark3_300.png
 bookmark4.png
+bookmark4_150.png
+bookmark4_200.png
+bookmark4_300.png
 bookmark5.png
+bookmark5_150.png
+bookmark5_200.png
+bookmark5_300.png
 bookmark6.png
+bookmark6_150.png
+bookmark6_200.png
+bookmark6_300.png
 bookmark7.png
+bookmark7_150.png
+bookmark7_200.png
+bookmark7_300.png
 bookmark8.png
+bookmark8_150.png
+bookmark8_200.png
+bookmark8_300.png
 bookmark9.png
+bookmark9_150.png
+bookmark9_200.png
+bookmark9_300.png
 
 ---
patch2.diff (2,529 bytes)

FTurtle

2017-09-08 05:02

reporter   ~0102712

By the way...

We make all new icons with scaling up to 200%
But as I see many users already use scaling 300%.
Thus, we are already lagging behind.
So I think it is a good idea to make new icons with scaling up to 300%

I attached two new files:

images2.zip - icons for 300%
patch2.diff - additional patch (it also contain updating for copyright.txt omitted for first patch)

Michl

2017-09-08 09:43

developer   ~0102716

You are right. I've forgotten to commit the copyright.txt file. Done in revision 55798.

Michl

2017-09-09 11:33

developer   ~0102731

FTurtel, thank you very much for your work!

Our opinion is: Bitmap icons are sufficient until 200%. The IDE already supports higher resolution displays - the lower resolution icons are upscaled:

300% = 150%*2
400% = 200%*2
500% = 200%*2.5

etc.

If somebody has a higher resolution display than 200%, he has to live with the scaled versions for now. In the future, SVG should take place for 200%+ (probably won't be any time soon).

So sorry, I have to reject your feature request of 300% scaled images.

Michl

2017-09-09 13:15

developer   ~0102735

Ah, I forgot to ask:

How do you create the images? Do you also create some SVG of it? Is it possible that you also provide them? In CCR, we collecting all icon sources (folder image_sources). So later when we have a functional svg reader, we can use them to draw scaled icons without quality loss.

FTurtle

2017-09-09 17:00

reporter   ~0102739

> How do you create the images?

I use Greenfish Icon Editor.

> Do you also create some SVG of it? Is it possible that you also provide them? In CCR, we collecting all icon sources (folder image_sources).

Unfortunately I didn't work with vector graphics. But I would like to study it.
Now sources are in Greenfish Icon Editor native format gfie.
Certainly these sources should be in repository.
Juha already recommended me contact with Vincent.
I plan do it after 1.8 released.

FTurtle

2017-09-12 19:25

reporter   ~0102808

Thank you.

Issue History

Date Modified Username Field Change
2017-09-06 02:40 FTurtle New Issue
2017-09-06 02:40 FTurtle File Added: images.zip
2017-09-06 02:41 FTurtle File Added: patch.diff
2017-09-07 23:34 Michl Assigned To => Michl
2017-09-07 23:34 Michl Status new => assigned
2017-09-07 23:47 Michl Fixed in Revision => r55797
2017-09-07 23:47 Michl LazTarget => -
2017-09-07 23:47 Michl Note Added: 0102709
2017-09-07 23:47 Michl Status assigned => resolved
2017-09-07 23:47 Michl Resolution open => fixed
2017-09-08 00:39 FTurtle Note Added: 0102711
2017-09-08 05:00 FTurtle File Added: images2.zip
2017-09-08 05:00 FTurtle File Added: patch2.diff
2017-09-08 05:02 FTurtle Note Added: 0102712
2017-09-08 05:02 FTurtle Status resolved => assigned
2017-09-08 05:02 FTurtle Resolution fixed => reopened
2017-09-08 09:40 Michl Fixed in Revision r55797 => r55797, r55798
2017-09-08 09:43 Michl Note Added: 0102716
2017-09-09 11:33 Michl Note Added: 0102731
2017-09-09 11:33 Michl Status assigned => resolved
2017-09-09 11:33 Michl Fixed in Version => 1.9 (SVN)
2017-09-09 11:33 Michl Resolution reopened => fixed
2017-09-09 11:33 Michl Target Version => 1.8
2017-09-09 13:15 Michl Note Added: 0102735
2017-09-09 13:15 Michl Status resolved => feedback
2017-09-09 17:00 FTurtle Note Added: 0102739
2017-09-09 17:00 FTurtle Status feedback => assigned
2017-09-11 22:04 Michl Status assigned => resolved
2017-09-12 19:25 FTurtle Note Added: 0102808
2017-09-12 19:25 FTurtle Status resolved => closed